<?php if(!defined('ABSPATH')) exit; ?>
<?php
// Author images

if( current_user_can('administrator')) :
	add_action( 'show_user_profile', 'sfr_show_extra_profile_fields' );
	add_action( 'edit_user_profile', 'sfr_show_extra_profile_fields' );
endif;

function sfr_show_extra_profile_fields( $user ) { ?>
	<h3>Kullanıcı Bilgileri</h3>
	<table class="form-table">
		<tr>
			<th><label for="avatar">Yazar Resim Adresi</label></th>
			<td>
				<input type="text" name="avatar" id="avatar" value="<?php echo esc_attr( get_the_author_meta( 'avatar', $user->ID ) ); ?>" class="regular-text" />
				<a class="button mediaButton">Resim Seç</a>
			</td>
		</tr>
		<tr>
			<th><label for="facebook">Yazar Facebook Adresi</label></th>
			<td>
				<input type="text" name="facebook" id="facebook" value="<?php echo esc_attr( get_the_author_meta( 'facebook', $user->ID ) ); ?>" class="regular-text" />
			</td>
		</tr>
		<tr>
			<th><label for="twitter">Yazar Twitter Adresi</label></th>
			<td>
				<input type="text" name="twitter" id="twitter" value="<?php echo esc_attr( get_the_author_meta( 'twitter', $user->ID ) ); ?>" class="regular-text" />
			</td>
		</tr>
		<tr>
			<th><label for="instagram">Yazar Instagram Adresi</label></th>
			<td>
				<input type="text" name="instagram" id="instagram" value="<?php echo esc_attr( get_the_author_meta( 'instagram', $user->ID ) ); ?>" class="regular-text" />
			</td>
		</tr>
		<tr>
			<th><label for="linkedin">Yazar Linkedin Adresi</label></th>
			<td>
				<input type="text" name="linkedin" id="linkedin" value="<?php echo esc_attr( get_the_author_meta( 'linkedin', $user->ID ) ); ?>" class="regular-text" />
			</td>
		</tr>
		<tr>
			<th><label for="order">Yazar Gösterim Sırası</label></th>
			<td>
				<select name="order" id="order">
					<?php $current = esc_attr( get_the_author_meta( 'order', $user->ID )) ?>
					<option value="">-</option>
					<?php for ($i=1; $i <= 50; $i++) : ?>
						<option value="<?php echo $i?>"<?php if($i == $current) echo " selected"?>><?php echo $i ?></option>
					<?php endfor; ?>
				</select>
			</td>
		</tr>
	</table>
<?php }

add_action( 'personal_options_update', 'sfr_save_extra_profile_fields' );
add_action( 'edit_user_profile_update', 'sfr_save_extra_profile_fields' );

function sfr_save_extra_profile_fields( $user_id ) {
	if ( !current_user_can( 'edit_user', $user_id ) )
		return false;
	update_user_meta( $user_id, 'avatar', $_POST['avatar'] );
	update_user_meta( $user_id, 'facebook', $_POST['facebook'] );
	update_user_meta( $user_id, 'twitter', $_POST['twitter'] );
	update_user_meta( $user_id, 'instagram', $_POST['instagram'] );
	update_user_meta( $user_id, 'linkedin', $_POST['linkedin'] );
	update_user_meta( $user_id, 'order', $_POST['order'] );
}

// Author Page Post Count && Slider Cat Query
add_action( 'pre_get_posts', 'safir_category_query' );
function safir_category_query( $query ) {

	if( $query->is_main_query() && !is_admin() && ( is_category(xoption('articleCategory')) || ( is_author() ) ) )  {
		$query->set( 'posts_per_page', xoption('authorPostCount') );
	}

	if( $query->is_main_query() && !is_admin() && is_category() && xoption("categorySlider") && xoption("catSliderExcludeQuery"))   {

		$catID = $query->queried_object_id;
		if($query->is_paged) {
			$paged = $query->query["paged"];
		} else {
			$paged = 1;
		}
		$excludeIDs = xoption('categorySliderExcept');
		if(!is_array($excludeIDs)) $excludeIDs = array();
		if( !in_array($catID, $excludeIDs) ) :
			$query->set( 'offset', ($paged - 1) * get_option("posts_per_page")  + xoption("catSliderNumber") );
		endif;

	}
}

add_filter( 'found_posts', 'safir_adjust_offset_pagination', 1, 2 );
function safir_adjust_offset_pagination( $found_posts, $query ) {

	$offset = xoption("catSliderNumber");
	$catID = $query->queried_object_id;
	if( $query->is_main_query() && !is_admin() && is_category() && xoption("categorySlider") && xoption("catSliderExcludeQuery"))   {
		$excludeIDs = xoption('categorySliderExcept');
		if(!is_array($excludeIDs)) $excludeIDs = array();
		if( !in_array($catID, $excludeIDs) ) :
			return $found_posts - $offset;
		endif;
	}
	return $found_posts;
}

// Get Author Image
function safir_get_author_image($authorID) {
	$image = get_user_meta($authorID, 'avatar', true);
	if(!$image) $image = get_template_directory_uri() . "/images/noauthor.png";
	return $image;
}

