<?php if(!defined('ABSPATH')) exit; ?>
<?php
// BODY CLASSES AND ATTRIBUTES

add_filter( 'body_class','safir_body_classes' );
function safir_body_classes( $classes ) {
	if(wp_is_mobile()) {
		$classes[] = 'mobile';
		if(xoption("mobileStickyMenu")) $classes[] = 'stickyMenu';
		if(xoption('hideMobileSidebar') ) $classes[] = "mobileNoSidebar";
	} else {
		$classes[] = 'desktop';
		if(xoption("desktopStickyMenu")) $classes[] = 'stickyMenu';
	}
	if(xoption("stickySidebar")) $classes[] = "stickySidebar";
	if(xoption("fitImage")) $classes[] = 'fitImage';
	if(xoption("stickyMenu")) $classes[] = "stickyMenu";
	if(xoption("stickyMenuMobile")) $classes[] = "stickyMenuMobile";
	return $classes;
}
add_action( 'safir_body_tag', 'safir_body_tag_functions' );
function safir_body_tag_functions() {
	body_class();
	 echo ' data-nonce="' . wp_create_nonce("safir_ajax_nonce") . '"';
}

// HEAD AND BODY TAGS

add_action("wp_body_open", "safir_openbody_tag");
function safir_openbody_tag() {
	echo xoption("bodyOpenScript");
}

add_action("wp_head", "safir_head_tag");
function safir_head_tag() {
	?>
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta charset="<?php bloginfo('charset'); ?>" />
	<link rel="shortcut icon" href="<?php echo xoption('favicon') ?>">
	<?php if(is_single()) wp_enqueue_script('comment-reply'); ?>
	<!--[if lt IE 9]><script src="<?php echo esc_url(get_template_directory_uri()) ?>/scripts/html5shiv.js"></script><![endif]-->
	<?php
	echo xoption('headerScript');
	echo xoption('gaScript');
	include(get_template_directory() . "/lib/safirtema/style.php");
}
