<?php if(!defined('ABSPATH')) exit; ?>
<?php
function safirAd($ads, $class = '') {
	if(wp_is_mobile()) {
		if($x = xoption($ads . 'Mobile')) { ?>
			<div class="<?php echo $class ?>"><?php echo do_shortcode($x) ?></div>
			<?php
		}
	} else {
		if($x = xoption($ads . 'Desktop')) { ?>
			<div class="<?php echo $class ?>"><?php echo do_shortcode($x) ?></div>
			<?php
		}
	}
}

function getSafirAd($ads, $class = '') {
	if(wp_is_mobile()) {
		if($x = xoption($ads . 'Mobile')) {
			return '<div class="' . $class . '">'.  do_shortcode($x) . '</div>';
		}
	} else {
		if($x = xoption($ads . 'Desktop')) {
			return '<div class="' . $class . '">'.  do_shortcode($x) . '</div>';
		}
	}
}

function safirCategoryMeta() {
	?>
	<div class="safirCategoryMeta">
		<?php
		$categories = get_the_category();
		$excludes = xoption("metaExcludeCategory");
		foreach ($categories as $category) {
			if(is_array($excludes)) {
				if(!in_array($category->term_id, $excludes)) {
					?>
					<a class="sfrCatClr cat<?php echo $category->term_id ?>" href="<?php echo get_category_link($category->term_id) ?>"><?php echo $category->name; ?></a>
					<?php
				}
			} else {
				?>
				<a class="sfrCatClr cat<?php echo $category->term_id ?>" href="<?php echo get_category_link($category->term_id) ?>"><?php echo $category->name; ?></a>
				<?php
			}
		}
		?>
	</div>
	<?php
}

function safirMetas($metas, $category = true) {
	if(is_array($metas)) {
		if(count($metas) > 0) {
			?>
			<div class="safirMetas">
				<?php
				foreach ($metas as $meta) {
					switch ($meta) {
						case 'author':
						?>
							<div class="meta author"><?php the_author_posts_link(); ?></div>
						<?php
						break;
						case 'category':
							if($category) :?>
							<div class="meta category"><?php safirCategoryMeta(); ?></div>
							<?php
							endif;
						break;
						case 'date':
						?>
							<div class="meta date"><?php the_time(get_option("date_format") . " " . get_option("time_format")); ?></div>
						<?php
						break;
						case 'hit':
						?>
							<div class="meta hit">
								<span data-postid="<?php echo get_the_ID(); ?>"></span>
							</div>
						<?php
						break;
						case 'comment':
						?>
							<div class="meta comment">
								<a href="<?php the_permalink(); ?>#comments" rel="nofollow">
								<?php comments_number("0", "1", "%"); ?></a>
							</div>
						<?php
						break;
					}
				}
				?>
			</div>
			<?php
		}
	}
}

function safir_sidebar($sidebar = "general") {
	?>
	</div>
	<?php if( (wp_is_mobile() && xoption('hideMobileSidebar')) == false ) : ?>
	<aside>
	<?php global $widgetPlace; $widgetPlace = "sidebar"; ?>
	<div id="panels">
		<?php
		if(is_active_sidebar('sidebar-' . $sidebar)) :
			dynamic_sidebar('sidebar-' . $sidebar);
		else:
			dynamic_sidebar('sidebar-general');
		endif;
		?>
	</div>
	</aside>
	<?php endif; ?>
	</div>
	<!--main-->
	<?php
}

function safirShowElement($item) {
	$result = false;
	$isMobile = wp_is_mobile();
	$data = xoption($item);
	switch ($data) {
		case 'both':
			$result = true;
			break;

		case 'desktop':
			if(!$isMobile) $result = true;
			break;

		case 'mobile':
			if($isMobile) $result = true;
			break;

	}
	return $result;
}

function catch_that_image() {
	global $post, $posts;
	$first_img = '';
	ob_start();
	ob_end_clean();
	$output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
	if(isset($matches [1] [0])) $first_img = $matches [1] [0];
	return $first_img;
}

function safirthumb($size = "large") {

	if(xoption("highQualityImages")) $size = "full";

	$ID = get_post_thumbnail_id();
	$alt = get_the_title();

	$imageData = wp_get_attachment_image_src($ID, $size);
	if(is_array($imageData)) {
		$image = $imageData[0];
		$width = $imageData[1];
		$height = $imageData[2];
	} else {
		$image = catch_that_image();
		$width = 160;
		$height = 90;
		if($image == "") $image = xoption("noimageforpost");
	}
	?>
	<div class="safirthumb">
		<div class="thumbnail">
			<div class="center">
				<img <?php safirLazyThumb($image) ?> alt="<?php echo $alt ?>" width="<?php echo $width ?>" height="<?php echo $height ?>" />
			</div>
		</div>
	</div>
	<?php
}

function safirLazyThumb($image) {
	if(xoption("lazyload")) {
		echo 'src="' . xoption("noimageforpost") . '" data-src="' . $image . '" class="lazy" loading="lazy"';
	} else {
		echo 'src="' . $image . '"';
	}
}

// Safir Top Category
function safir_top_category($catID) {
	$curr_cat = get_category_parents($catID, false, '/' ,true);
	$curr_cat = explode('/',$curr_cat);
	$idObj = get_category_by_slug($curr_cat[0]);
	return $idObj->term_id;
}

function safir_category_nav_class( $classes, $item ){
    if( 'category' == $item->object ){
        $classes[] = 'color' . $item->object_id;
    }
    return $classes;
}
add_filter( 'nav_menu_css_class', 'safir_category_nav_class', 10, 2 );

function file_get_contents_curl($url) {
	$ch = curl_init();

	curl_setopt($ch, CURLOPT_AUTOREFERER, TRUE);
	curl_setopt($ch, CURLOPT_HEADER, 0);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE);

	$data = curl_exec($ch);
	curl_close($ch);

	return $data;
}

function disable_wp_emojicons() {
	remove_action( 'admin_print_styles', 'print_emoji_styles' );
	remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
	remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
	remove_action( 'wp_print_styles', 'print_emoji_styles' );
	remove_filter( 'wp_mail', 'wp_staticize_emoji_for_email' );
	remove_filter( 'the_content_feed', 'wp_staticize_emoji' );
	remove_filter( 'comment_text_rss', 'wp_staticize_emoji' );
}
add_action( 'init', 'disable_wp_emojicons' );

add_filter( 'get_the_archive_title', function ($title) {
    if ( is_category() ) {
        $title = single_cat_title( '', false );
    }

    return $title;

});

add_filter( 'the_content', 'safir_insert_post_ads');
function safir_insert_post_ads( $content ) {
	if ( !is_attachment() && is_single() && ! is_admin() ) {
		return safir_insert_after_paragraph($content );
	}
	return $content;
}

function safir_insert_after_paragraph( $content ) {
	$closing_p = '</p>';
	$paragraphs = explode( $closing_p, $content );
	foreach ($paragraphs as $index => $paragraph) {

		if ( trim( $paragraph ) ) {
			//$paragraphs[$index] .= $closing_p;
		}

		if ( xoption("singleAdAra1Pos") == $index) {
			$paragraphs[$index] .= "<div class=ads>" . getSafirAd("singleAdAra1") . "</div>";
		}

		if ( xoption("singleAdAra2Pos") == $index) {
			$paragraphs[$index] .= "<div class=ads>" . getSafirAd("singleAdAra2") . "</div>";
		}
	}

	return implode( '', $paragraphs );
}

remove_action('wp_head', 'wp_generator');

function safirText2($content, $wordsCount) {
	$string = safirBracket(strip_tags($content));
	$array = explode(" ", $string);
	if (count($array)>$wordsCount) :
		array_splice($array, $wordsCount);
		$string = implode(" ", $array)."...";
	endif;
	echo $string;
}

// Bracket Remover
function safirBracket($x) {
	$active = false;
	$result = "";
	$len = strlen($x);
	if($len>1) {
		for ($i=0; $i<=$len-1; $i++) {
			if(substr($x, $i, 1) == '[') {
				$active = true;
			}
			elseif (substr($x, $i, 1) == "]") {
				$active = false;
			}
			if($active == false && substr($x, $i, 1) != "]") {
				$result .= substr($x, $i, 1);
			}
		}
		return $result;
	}
}


add_filter( 'wp_mail_content_type', 'set_content_type' );
function set_content_type( $content_type ) {
	return 'text/html';
}

function safirText($wordsCount, $echo = true, $excerpt = true) {
	global $post;
	if($excerpt && $x = get_the_excerpt()) :
		$string = safirBracket(strip_tags($x));
	else :
		$string = safirBracket(strip_tags(get_the_content()));
	endif;
	$array = explode(" ", $string);
	if (count($array)>$wordsCount) :
		array_splice($array, $wordsCount);
		$string = implode(" ", $array)."...";
	endif;
	if($echo) :
		echo $string;
	else :
		return $string;
	endif;
}

add_filter( 'sanitize_file_name', 'safir_special_chars' );
function safir_special_chars ( $filename ) {
	$search = array('Ç','ç','Ğ','ğ','ı','İ','Ö','ö','Ş','ş','Ü','ü',' ');
	$replace = array('c','c','g','g','i','i','o','o','s','s','u','u','-');
	$new = str_replace($search, $replace, $filename);
	return $new;
}

// Uploading

function safir_upload_user_file( $file = array() ) {

	require_once( ABSPATH . 'wp-admin/includes/admin.php' );

	  $file_return = wp_handle_upload( $file, array('test_form' => false ) );

	  if( isset( $file_return['error'] ) || isset( $file_return['upload_error_handler'] ) ) {
		  return false;
	  } else {

		  $filename = $file_return['file'];

		  $attachment = array(
			  'post_mime_type' => $file_return['type'],
			  'post_title' => preg_replace( '/\.[^.]+$/', '', basename( $filename ) ),
			  'post_content' => '',
			  'post_status' => 'inherit',
			  'guid' => $file_return['url']
		  );

		  $attachment_id = wp_insert_attachment( $attachment, $file_return['url'] );

		  require_once(ABSPATH . 'wp-admin/includes/image.php');
		  $attachment_data = wp_generate_attachment_metadata( $attachment_id, $filename );
		  wp_update_attachment_metadata( $attachment_id, $attachment_data );

		  if( 0 < intval( $attachment_id ) ) {
			  return $attachment_id;
		  }
	  }

	  return false;
}

// Admin Bar

function remove_admin_bar()	{
	add_filter( 'show_admin_bar', '__return_false' );
}

if(!current_user_can("administrator") && xoption("profileAdminBar")) add_action('init', 'remove_admin_bar');

function upload_user_file( $file = array() ) {

	require_once( ABSPATH . 'wp-admin/includes/admin.php' );

	  $file_return = wp_handle_upload( $file, array('test_form' => false ) );

	  if( isset( $file_return['error'] ) || isset( $file_return['upload_error_handler'] ) ) {
		  return false;
	  } else {

		  $filename = $file_return['file'];

		  $attachment = array(
			  'post_mime_type' => $file_return['type'],
			  'post_title' => preg_replace( '/\.[^.]+$/', '', basename( $filename ) ),
			  'post_content' => '',
			  'post_status' => 'inherit',
			  'guid' => $file_return['url']
		  );

		  $attachment_id = wp_insert_attachment( $attachment, $file_return['url'] );

		  require_once(ABSPATH . 'wp-admin/includes/image.php');
		  $attachment_data = wp_generate_attachment_metadata( $attachment_id, $filename );
		  wp_update_attachment_metadata( $attachment_id, $attachment_data );

		  if( 0 < intval( $attachment_id ) ) {
			return $attachment_id;
		  }
	  }

	  return false;
}
