<?php if(!defined('ABSPATH')) exit; ?>
<?php
function safir_styles_scripts() {
	wp_enqueue_style('safirstyle', get_template_directory_uri() . '/style.css');
	if (file_exists(get_template_directory() . '/edits/style.css')) {
		wp_enqueue_style('safircustomstyle', get_template_directory_uri() . '/edits/style.css');
	}

	wp_enqueue_style('safirfont', 'https://use.typekit.net/yrz3czf.css');
	wp_enqueue_script( 'jquery' );

	if(is_single() || is_page()) :
		wp_enqueue_script( 'fancybox', get_template_directory_uri() . '/lib/fancybox/jquery.fancybox.min.js', 'jquery', NULL, true );
		wp_enqueue_style('fancybox', get_template_directory_uri() . '/lib/fancybox/jquery.fancybox.min.css');
	endif;

	if(is_single() && xoption("infiniteScroll")) :
		wp_enqueue_script( 'infiniteSingle', get_template_directory_uri() . '/lib/infinite/infinite.js', 'jquery', NULL, true );
	endif;

	if(is_archive() && xoption("infiniteScrollArchive")) :
		wp_enqueue_script( 'infiniteArchive', get_template_directory_uri() . '/lib/infinite/infiniteArchive.js', 'jquery', NULL, true );
	endif;

	if(is_search() && xoption("infiniteScrollArchive")) :
		wp_enqueue_script( 'infiniteArchive', get_template_directory_uri() . '/lib/infinite/infiniteArchive.js', 'jquery', NULL, true );
	endif;

	wp_enqueue_script( 'sfrowl', get_template_directory_uri() . '/lib/owl-carousel/owl.carousel.min.js', array('jquery'), NULL, true );
	wp_register_script("sfrscripts", get_template_directory_uri() . '/scripts/scripts.js', array('jquery'), NULL, true);
	wp_localize_script('sfrscripts', 'safirAjax', array( 'ajaxurl' => admin_url( 'admin-ajax.php')));
	wp_enqueue_script('sfrscripts');
	if (file_exists(get_template_directory() . '/edits/scripts.js')) {
		wp_enqueue_script('safircustomscript', get_template_directory_uri() . '/edits/scripts.js', array('jquery'), NULL, true);
	}
}

add_action( 'wp_enqueue_scripts', 'safir_styles_scripts' );
if(current_user_can("administrator") && is_admin_bar_showing()) {
	add_action('wp_enqueue_scripts', 'safir_admin_styles');
}
