<?php if(!defined('ABSPATH')) exit; ?>
<?php
/* GALERİ */

function safir_post_gallery( $output, $attr ) {
	global $post, $wp_locale;
	static $instance = 0;
	$instance++;
	if ( isset( $attr['orderby'] ) ) {
		$attr['orderby'] = sanitize_sql_orderby( $attr['orderby'] );
		if ( ! $attr['orderby'] ) unset( $attr['orderby'] );
	}
	extract( shortcode_atts( array(
		'order'      => 'ASC',
		'orderby'    => 'menu_order ID',
		'id'         => $post->ID,
		'itemtag'    => 'dl',
		'icontag'    => 'dt',
		'captiontag' => 'dd',
		'columns'    => 3,
		'size'       => 'full',
		'include'    => '',
		'exclude'    => ''
	), $attr ) );
	$id = intval( $id );
	$attachments = array();
	if ( $order == 'RAND' ) $orderby = 'none';

	if ( ! empty( $include ) ) {

		$include = preg_replace( '/[^0-9,]+/', '', $include );
		$_attachments = get_posts( array( 'include' => $include, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby ) );

		foreach ( $_attachments as $key => $val ) {
			$attachments[ $val->ID ] = $_attachments[ $key ];
		}

	} else if ( ! empty( $exclude ) ) {

		$exclude = preg_replace( '/[^0-9,]+/', '', $exclude );

		$attachments = get_children( array( 'post_parent' => $id, 'exclude' => $exclude, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby ) );
	} else {
		$attachments = get_children( array( 'post_parent' => $id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby ) );
	}

	if ( empty( $attachments ) ) return '';

	if ( is_feed() ) {
		$output = "\n";
		foreach ( $attachments as $att_id => $attachment ) $output .= wp_get_attachment_link( $att_id, $size, true ) . "\n";
		return $output;
	}

	$itemtag = tag_escape( $itemtag );
	$captiontag = tag_escape( $captiontag );
	$columns = intval( $columns );
	$itemwidth = $columns > 0 ? floor( 100 / $columns ) : 100;
	$float = is_rtl() ? 'right' : 'left';
	$selector = "gallery-{$instance}";

	$output = apply_filters( 'gallery_style', "
		<style type='text/css'>
			#{$selector} {
				margin: auto;
			}
			#{$selector} .new-gallery-item {
				margin-bottom:25px;
				padding-bottom:25px;
				border-bottom:1px solid #ddd;
			}
			@media all and (max-width:768px) {
			#{$selector} .new-gallery-item {
				margin-bottom:10px;
				padding-bottom:10px;
				border-bottom:1px solid #ddd;
			}
			}
			#{$selector} .new-gallery-item .image {
				text-align:center;
			}
			#{$selector} .new-gallery-item .inner {
				border: 1px solid #cfcfcf;
				padding: 2px;
				display: inline-block;
				position:relative;
			}
			#{$selector} .galleryHeading {
				font-size:18px;
				font-weight:bold;
				margin-bottom:10px;
				overflow:hidden;
				line-height:36px;
				background: #fafafa;
				font-weight:normal;
			}
			#{$selector} .galleryHeading .number {
				background: #eee;
				font-weight:bold;
				float:left;
				line-height:36px;
				min-width:36px;
				text-align:center;
				padding: 0 10px;
				margin-right:10px;
				font-size:20px;
			}
			#{$selector} .galleryHeading .number span {
				color:#bababa;
			}
		</style>
		<div id='$selector' class='galleryid-{$id}'>"
	);

	$counter = 0;
	$attachmentNumbers = explode(',', xoption('attachmentNumbers2'));

	foreach ( $attachments as $id => $attachment ) {
		if(xoption("galleryFullScreen") && !wp_is_mobile()) {
			$galleryFullScreen = '<a href="' . wp_get_attachment_url($attachment->ID) .'" class="fullScreen"></a>';
		}
		$counter++;
		$output .= "<div id='resim".$counter."' class='gallery-item new-gallery-item'>";
		$output .= "<div class='galleryHeading'><div class=number>$counter<span>&nbsp;&nbsp;|&nbsp;&nbsp;" . count($attachments) . "</span></div>$attachment->post_title</div>";
		$output .= "<div class=image><div class=inner>" . $galleryFullScreen . wp_get_attachment_image( $attachment->ID, 'full') . "</div></div>";
		$output .= "<div class=description style=text-align:center>$attachment->post_content</div>";
		$output .= "</div>";
		if (in_array($counter, $attachmentNumbers)) {
			$output .= getSafirAd("attachmentAd", "safirGalleryAds");
		}
	}
	$output .= "</div>\n";
	return $output;
}

function safirGalleryType(){
	if( get_post_meta(get_the_ID(), "galleryType", true) == 'type1' || ( get_post_meta(get_the_ID(), "galleryType", true) != 'type2' && xoption("galleryType") == "type1") ) {
		add_filter( 'post_gallery', 'safir_post_gallery', 10, 2 );
	}
}

add_action('template_redirect', function() {
	safirGalleryType();
});


