<?php if(!defined('ABSPATH')) exit; ?>
<?php
add_action('init', 'register_my_menus');
function register_my_menus() {
	register_nav_menus(array('topmenu'=>'Üst Menü'));
	register_nav_menus(array('mainmenu'=>'Ana Menü'));
	register_nav_menus(array('mobilemenu'=>'Mobil Menü'));
	register_nav_menus(array('footermenu1'=>'Footer Menü 1'));
	register_nav_menus(array('footermenu2'=>'Footer Menü 2'));
}

function safir_nav_menu($theme_location) {
	$menu = get_transient('sfr_nav-' . $theme_location);
	if( $menu === false ) {
		$menu = wp_nav_menu( array(
			'theme_location'	=> $theme_location,
			'container'			=> 'ul',
			'walker'			=> new sfrIconMenuWalker(),
			'fallback_cb'		=> false,
			'echo'				=> 0,
		) );
		if(xoption("cache")) safir_set_transient( 'sfr_nav_' . $theme_location, $menu, SAFIR_MENU_CACHE_TIME );
	}
	echo $menu;
}


// Walkers

class sfrIconMenuWalker extends Walker_Nav_Menu {
	function start_el(&$output, $item, $depth = 0, $args = Array(), $id = 0) {
		global $wp_query;
		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';
		$class_names = $value = '';
		$classes = empty( $item->classes ) ? array() : (array) $item->classes;
		$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
		$class_names = ' class="' . esc_attr( $class_names ) . '"';
		$output .= $indent . '<li ' . $value . $class_names .'>';
		$attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
		$attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
		$attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
		$attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';

		$sfr_menu_icon = "";
		$sfr_menu_icon = get_post_meta( $item->ID, '_menu_item_sfr_menu_icon', true );
		if($sfr_menu_icon) {
			$sfr_menu_icon = '<div class="safiricon icon '.$sfr_menu_icon.'"></div>';
		}
		$item_output = $args->before;
		$item_output .= '<a'. $attributes .'>'.$sfr_menu_icon.'<div class="text">';
		$item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after;
		$item_output .= '</div>';
		if($args->walker->has_children) {
			$item_output .= '<span class="arrow"></span>';
		}
		$item_output .= '</a>';
		$item_output .= $args->after;

		$output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
	}
}





