<?php if(!defined('ABSPATH')) exit; ?>
<!DOCTYPE html>
<html lang="tr">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
        <title><?php echo print_title() ?></title>
        <link rel="stylesheet" type="text/css" href="<?php echo esc_url(get_template_directory_uri()) ?>/lib/safirtema/assets/front.css" />
    </head>
    <body>
        <div class="safirWrapper">
            <div class="inner">
                <?php if( current_user_can( "administrator" ) ) : ?>
                    <div class="image">
                        <img src="<?php echo get_template_directory_uri() . "/lib/safirtema/assets/images/warning.svg" ?>">
                    </div>
                    <h1>Ioncube Hatası</h1>
                    <p>Sunucunuzda tema için gerekli olan Ioncube bileşeni yüklü değil. Hosting firmanızdan Ioncube yüklemesini isteyiniz.</p>
                    <div class="info"><strong>NOT:</strong> Bu mesaj sadece admine gösterilmektedir. Normal kullanıcılar bakım modu uyarısı göreceklerdir. Admin panele giderek tema değiştirmek için <a href="<?php echo admin_url("/themes.php") ?>">buraya</a> tıklayınız.</div>
                <?php else : ?>
                    <div class="image">
                        <img src="<?php echo get_template_directory_uri() . "/lib/safirtema/assets/images/warning.svg" ?>">
                    </div>
                    <h1>Bakım Modu</h1>
                    <p>Sitemiz geçici olarak bakım modundadır. Lütfen bir süre sonra tekrar deneyiniz.</p>
                <?php endif; ?>
            </div>
    </body>
</html>

<?php
function print_title() {
    if( current_user_can( "administrator" ) ) {
        echo "Ioncube Hatası";
    } else {
        echo "Bakım Modu";
    }
}
?>
