<?php
if(!defined('ABSPATH')) exit;
function safirpanel_admin_scripts() {
	wp_enqueue_script('media-upload');
	wp_enqueue_script('safirpanel', get_template_directory_uri() . '/safirpanel/scripts/scripts.js', __FILE__);
	$editor_settings['codeEditor'] = wp_enqueue_code_editor(array('type' => 'text/html'));
    wp_localize_script('jquery', 'editor_settings', $editor_settings);
}

function safirpanel_admin_styles() {
	wp_enqueue_style("safirpanel", get_template_directory_uri() . "/safirpanel/css/style.css", false, "0.1", "all");
}

if (is_admin() && isset($_GET['page'])) {
	if($_GET['page'] == 'safirpanel') {
		add_action('admin_print_scripts', 'safirpanel_admin_scripts');
		add_action('admin_print_styles', 'safirpanel_admin_styles');
		if ( isset($_REQUEST['submitted']) ) {
			if ($_REQUEST['submitted'] == 'true') {
				foreach ($_POST as $key => $value) {
					if( substr($key, 0, strlen(SAFIR_THEME_SLUG)) . "_" === SAFIR_THEME_SLUG . "_") {
						$postedOptions[substr($key, strlen(SAFIR_THEME_SLUG) + 1)] = $value;
					}
				}
				if(count($postedOptions)>0) {
					foreach ($postedOptions as $key => $value) {
						update_option("safir_".SAFIR_THEME_SLUG."_" . $key, $value);
					}
				}
			}
		}
	}
}

function safirpanel_admin() {
	include( get_template_directory() . "/lib/safirtema/safiroptions.php" );
	?>
	<div class="wrap" id="safirpanel" data-sections="<?php echo implode(',', array_keys($safirOptions)) ?>">
		<?php
		if(isset($_REQUEST['submitted'])) {
			if ($_REQUEST['submitted'] == "true") {
				echo('<div class="updated settings-error"><p style="font-weight:bold;">Ayarlar başarılı bir şekilde değiştirildi!<a href="#">Kapat</a></p></div>');
				safir_delete_cache();
			}
		}
		?>

		<div id="top">
			<div class="logo">
				<img src="<?php echo esc_url(get_template_directory_uri()) ?>/safirpanel/images/logo.png" width="180" height="70" />
			</div>
			<div id="heading">
				<div class="arrow"></div>
				<div class="titles">
					<?php
					foreach ($safirOptions as $key => $value) {
						?>
						<div class="title" id="safirpanel_title_<?php echo $key ?>"><?php echo $value['title']; ?></div>
						<?php
					}
					?>
				</div>
				<a class="help" target="_blank" title="Tema Yardım Dosyası" href="https://safirtema.com/yardim/<?php echo SAFIR_THEME_SLUG ?>/">YARDIM</a>
			</div>
		</div>
		<div id="safirpanelmain">
			<div id="safirpanelleft">
				<ul class="safirmenu">
					<?php
					foreach ($safirOptions as $key => $value) {
						?>
						<li id="safirpanel_menuitem_<?php echo $key ?>">
							<a href="#<?php echo $key ?>" data-hash="<?php echo $key; ?>" class="<?php echo $key; ?>">
								<span class="icon"></span>
								<?php echo $value['title']; ?>
							</a>
						</li>
						<?php
					}
					?>
				</ul>
			</div>

			<div id="safirpanelright">
				<div id="sections">
					<form method="post" action="">
						<?php
						foreach ($safirOptions as $key => $value) {
							?>
							<div class="section" id="safirpanel_section_<?php echo $key ?>">
								<?php
								$datas = $value["data"];
								if( is_array($datas) ) {
									foreach ($datas as $key => $value) {
										include(get_template_directory() . "/safirpanel/parts/" . $value["type"] . ".php");
									}
								}
								?>
							</div>
							<?php
						}
						?>
						<p class="submit">
							<?php
							if(xoption("cache")) : $text = 'Değişiklikleri Kaydet ve Önbelleği Temizle'; else :  $text = 'Değişiklikleri Kaydet'; endif;
							?>
							<input name="action" type="submit" value="<?php echo $text; ?>" />
							<input name="submitted" type="hidden" value="true" />
						</p>
					</form>
				</div>
			</div>
		</div>

	</div>
<?php
}
