<?php if(!defined('ABSPATH')) exit; ?>
<div id="single" class="article">
	<div class="haberSingle">
		<?php
		$authorID = get_the_author_meta('ID');
		$authorName = get_the_author_meta( 'display_name', $authorID );
		$authorMail = get_the_author_meta( 'user_email', $authorID );
		$authorBio = get_the_author_meta( 'user_description', $authorID );
		$authorFacebook = get_the_author_meta( 'facebook', $authorID );
		$authorTwitter = get_the_author_meta( 'twitter', $authorID );
		$authorInstagram = get_the_author_meta( 'instagram', $authorID );
		$authorLinkedin = get_the_author_meta( 'linkedin', $authorID );
		$image = safir_get_author_image($authorID);
		?>

		<div id="authorPage" class="single shiftBottom">
			<div class="profileBlock">
				<div class="thumb">
					<div class="image">
						<a href="<?php echo get_author_posts_url($authorID) ?>">
							<div class="safirthumb square nobg">
								<div class="center">
									<img <?php safirLazyThumb($image) ?> width="500" height="500" alt="<?php echo $authorName ?>" />
								</div>
							</div>
						</a>
					</div>
				</div>
				<h2><a href="<?php echo get_author_posts_url($authorID) ?>"><?php echo $authorName ?></a></h2>
				<div class="detail">
					<div class="bio">
						<?php echo $authorBio ?>
					</div>
					<ul class="safirSocial">
						<?php if($authorFacebook) : ?>
							<li class="facebook">
								<a rel="external" href="<?php echo $authorFacebook ?>"></a>
							</li>
						<?php endif; ?>
						<?php if($authorTwitter) : ?>
							<li class="twitter">
								<a rel="external" href="<?php echo $authorTwitter ?>"></a>
							</li>
						<?php endif; ?>
						<?php if($authorInstagram) : ?>
							<li class="instagram">
								<a rel="external" href="<?php echo $authorInstagram ?>"></a>
							</li>
						<?php endif; ?>
						<?php if($authorLinkedin) : ?>
							<li class="linkedin">
								<a rel="external" href="<?php echo $authorLinkedin ?>"></a>
							</li>
						<?php endif; ?>
					</ul>
				</div>
			</div>

			<div class="authorPostsBlock">
				<div class="pageHeading">
					<h1 class="title"><?php the_title(); ?></h1>
					<?php if(xoption('breadcrumb')) sfrBreadcrumbs(); ?>
				</div>

				<?php get_template_part('parts/metabox'); ?>

				<?php include("parts/share.php"); ?>

				<?php if(has_excerpt()) : ?>
					<div class="reading excerpt"><?php the_excerpt(); ?></div>
				<?php endif; ?>

				<div id="singleContent" class="reading">
					<?php the_content(); ?>
				</div>

				<?php if(has_tag() && xoption("showTags")) : $tagTitle = __("ETİKETLER", "anka"); ?>
					<div class="tags">
						<?php the_tags('<span class="title">'.$tagTitle.':</span> ',', ',''); ?>
					</div>
				<?php endif; ?>

				<?php
				if(xoption('relatedCount') != 0) :
					include('lib/safirtema/relatedargs.php');
					$args['author'] = $authorID;
					$query = new wp_query($args);
					if($query->have_posts()) : ?>
						<div class="mainHeading topMargin">
							<div class="safiricon icon icon50"></div>
							<div class="title"><?php _e("Yazarın Diğer Yazıları", "anka") ; ?></div>
						</div>
						<div class="authorpostitems">
							<div class="items">
								<?php while ($query->have_posts()) : $query->the_post(); ?>
									<div class="item-container">
										<div class="item">
											<div class="inner">
												<div class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></div>
												<div class="meta"><?php the_time(get_option("date_format") . " " . get_option("time_format")); ?></div>
											</div>
										</div>
									</div>
								<?php endwhile; ?>
							</div>
						</div>
						<?php
					endif;
				endif;
				wp_reset_postdata();
				?>
			</div>

		</div>

		<?php safirAd('singleAd3', 'ads singleAd3'); ?>

		<?php if(comments_open()) comments_template(); ?>

		<?php include("parts/navi.php"); ?>

	</div><!--haberSingle-->
</div><!--single-->
